Menu
Platform
- Accounts and projects
- Regions
- Environments
- Keys and scopes
- Plans, usage and limits
- Errors
- API versions
- API reference
- CLI
- MCP
- Published CLI compatibility
- Terraform
- Management secret deletion
- API keys
- Artifacts
- Connection providers
- Connections
- Envs
- Key versions
- Keys
- Projects
- Secret versions
- Secrets
- Service enablements
- Token exchanges
- Trust policies
AI
Alerts and status pages
App store purchases
Credits
Database
Flags
Generated Assets
Hosting
Monitoring
Organizations
Payments
- Payments
- Payments quickstart
- Checkout policies
- Checkout sessions
- Customer subscriptions
- Entitlement grants
- Exchange rates
- Licence keys
- Licence tokens
- Merchant accounts
- Portal sessions
- Price catalogs
- Revenue
- Revenue facts
- Revenue sources
- Tax threshold statuses
- Usage events
- Usage invoices
- Usage meter prices
- Usage meters
- Usage reservations
- Usage settings
- Usage tiers
Queues
Realtime
Sandboxes
Webhooks
Getting Started
Authentication
KV Store
Deploy & Infrastructure
Reference
Uptime checks
An UptimeCheck observes safe transport behavior or the public revision of every authorized bound host/path.
An UptimeCheck observes safe transport behavior or the public revision of every authorized bound host/path. Workflows owns its durable clock.
Service Sylphx Observability · Resource type observability.sylphx.com/UptimeCheck · Name pattern orgs/{org}/projects/{project}/envs/{env}/uptime_checks/{uptime_check} · Shape spec_status
#Fields
| Field | Type | What it is |
|---|---|---|
name | string | The tenant-scoped check name. |
uid | string | A new immutable identity on every creation, including name reuse. Output only. |
meta | ResourceMeta | Resource metadata, generation and etag. |
spec | UptimeCheckSpec | Safe desired observation policy. Required. |
status | UptimeCheckStatus | Durable evidence, including missing coverage. Output only. |
#Methods
Every method of the collection, in the registry's order, with the scope it needs. The full request, response and examples are one link away.
| Method | Call | What it does |
|---|---|---|
POST | create | Creates one tenant uptime check. |
GET | get | Gets one tenant uptime check. |
GET | list | Lists checks and aggregate status. GetUptimeCheck reads target pages. |
PATCH | update | Updates one tenant uptime check. |
DELETE | delete | Deletes one tenant uptime check. |
#create
Creates one tenant uptime check.
POST https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/uptime_checks · scope observability:write · effect write · Request, response and examples
#get
Gets one tenant uptime check.
GET https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/uptime_checks/uptime-check · scope observability:read · effect read · Request, response and examples
#list
Lists checks and aggregate status. GetUptimeCheck reads target pages.
GET https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/uptime_checks · scope observability:read · effect read · paginated · Request, response and examples
#update
Updates one tenant uptime check.
PATCH https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/uptime_checks/uptime-check · scope observability:write · effect write · Request, response and examples
#delete
Deletes one tenant uptime check.
DELETE https://api.sylphx.com/v1/orgs/acme/projects/shop/envs/production/uptime_checks/uptime-check · scope observability:write · effect destructive · Request, response and examples